Bug 71217 - Full disk not visible
Full disk not visible
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-10 01:47 EDT by Brian Freeman
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brian Freeman 2002-08-10 01:47:20 EDT
From Bugzilla Helper:

Description of problem:
I have two IBM 120GXP 40GB drives installed in old P200MMX with an old <32GB 
BIOS. (No new BIOS is available)
I programmed drives to report 32.8GB using IBM DM2K to allow the system to boot.
I used the option append hda=5005,255,63 hdc=5005,255,63 to see the full 
capacity.  I also tried 79780,16,63 and 39890,32,63.

IBM says drive has 80,418,240 sectors and all of these combinations are that 
size or smaller.

The boot messages recognize geometry from append, but also show 32.8GB capacity.

FDISK will create full size partitions by using x,c,<cylinders> where 
<cyliders> matches the append line.

The full size partitions cause install to give the following error:
The partition table on device HDx was unreadable. To create new partitions, it 
must be initalized, causing the loss of ALL DATA on this drive.  Would you like 
to initialize this drive?
Pressing <Ctrl><Alt><F2> and running fdisk shows a perfectly good partition 
with the full 40GB.

How do I force the RH7.3 installer to use the real geometry of the drives 
instead of the bogus geometry that I have to give the BIOS?


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.boot: linux hda=5005,255,63 hdc=5005,255,63 
2.fdisk x,c,5005
3.create swap, root, and home partitions


Actual Results:  Warning message: The partition table on device HDx was 
unreadable. To create new partitions, it must be initalized, causing the loss 
of ALL DATA on this drive.  Would you like to initialize this drive?


Expected Results:  The installer should have prompted for mount points and used 
the full size partitions to install.


Additional info:

When accessing large partitions created in fdisk, there are seek errors.

The notes in DM2K say that software can access the full capacity of the drive 
even when the drive is set to report 32.8GB to BIOS.

A google search shows others resolving this problem under other distros by 
using kernel 2.2.14 or later.

I am NOT using the physical jumper to reduce capacity as the jumper really 
changes the geometry on IBM drives instead of only changing the reported 
geometry.
Comment 1 Michael Fulbright 2002-08-12 15:36:46 EDT
> The boot messages recognize geometry from append, but also show 32.8GB
> capacity.

Are these the messages from the kernel when the system is booting up?
Comment 2 Brian Freeman 2002-08-12 15:39:45 EDT
Yes, the messages are from the kernel and happen during boot.
Comment 3 Michael Fulbright 2002-08-14 15:35:12 EDT
Reassigning to kernel.
Comment 4 Arjan van de Ven 2002-08-14 15:37:22 EDT
did you jumper the disks?
Comment 5 Brian Freeman 2002-08-14 15:48:33 EDT
Jumpering IBM disks changes the actual capacity of the drive and when jumpered 
only 32GB can be used.  Setting the capacity reported to BIOS using the drive 
configuring utility from IBM allows the drivers to set the capacity to the full 
40GB.

As a test I did try setting full capacity in the configure utility and 
jumpering the drive, but the results were as expected... The OS could not see 
more than 32GB, even win98 could not see the full capacity when the drives were 
jumpered for 32GB.
When the test was complete, I restored the jumper to the full capacity setting 
and used the utility to set 32GB for BIOS compatiblity.  Since win98 was 
installed at that point, I confirmed that it could see the full 40GB.

Reinstalling RH7.3 resulted in the same problem.
Comment 6 Brian Freeman 2002-09-20 13:17:07 EDT
Been a bit, just want to indicate that the resolution is still desired.
Thanks.
Linuxboy
Comment 7 Brian Freeman 2002-10-04 21:52:59 EDT
Tested 8.0 and it's identical.
Comment 8 Bugzilla owner 2004-09-30 11:39:50 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.